Index: openssl/test/testssl |
=================================================================== |
--- openssl/test/testssl (revision 105093) |
+++ openssl/test/testssl (working copy) |
@@ -70,6 +70,15 @@ |
echo test sslv2/sslv3 with both client and server authentication |
$ssltest -server_auth -client_auth $CA $extra || exit 1 |
+echo test sslv2/sslv3 with both client and server authentication and small client buffers |
+$ssltest -server_auth -client_auth -c_small_records $CA $extra || exit 1 |
+ |
+echo test sslv2/sslv3 with both client and server authentication and small server buffers |
+$ssltest -server_auth -client_auth -s_small_records $CA $extra || exit 1 |
+ |
+echo test sslv2/sslv3 with both client and server authentication and small client and server buffers |
+$ssltest -server_auth -client_auth -c_small_records -s_small_records $CA $extra || exit 1 |
+ |
echo test sslv2/sslv3 with both client and server authentication and handshake cutthrough |
$ssltest -server_auth -client_auth -cutthrough $CA $extra || exit 1 |
@@ -103,8 +112,8 @@ |
$ssltest $extra || exit 1 |
if [ $dsa_cert = NO ]; then |
- echo test sslv2/sslv3 w/o DHE via BIO pair |
- $ssltest -bio_pair -no_dhe $extra || exit 1 |
+ echo 'test sslv2/sslv3 w/o (EC)DHE via BIO pair' |
+ $ssltest -bio_pair -no_dhe -no_ecdhe $extra || exit 1 |
fi |
echo test sslv2/sslv3 with 1024bit DHE via BIO pair |
@@ -134,8 +143,8 @@ |
if ../util/shlib_wrap.sh ../apps/openssl no-rsa; then |
echo skipping RSA tests |
else |
- echo test tls1 with 1024bit RSA, no DHE, multiple handshakes |
- ../util/shlib_wrap.sh ./ssltest -v -bio_pair -tls1 -cert ../apps/server2.pem -no_dhe -num 10 -f -time $extra || exit 1 |
+ echo 'test tls1 with 1024bit RSA, no (EC)DHE, multiple handshakes' |
+ ../util/shlib_wrap.sh ./ssltest -v -bio_pair -tls1 -cert ../apps/server2.pem -no_dhe -no_ecdhe -num 10 -f -time $extra || exit 1 |
if ../util/shlib_wrap.sh ../apps/openssl no-dh; then |
echo skipping RSA+DHE tests |
@@ -145,4 +154,10 @@ |
fi |
fi |
+echo test tls1 with PSK |
+$ssltest -tls1 -cipher PSK -psk abc123 $extra || exit 1 |
+ |
+echo test tls1 with PSK via BIO pair |
+$ssltest -bio_pair -tls1 -cipher PSK -psk abc123 $extra || exit 1 |
+ |
exit 0 |